Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v1.xpath20
Class JaxpFunctionResolver

    java.lang.Object
      org.apache.ode.bpel.rtrep.v1.xpath20.JaxpFunctionResolver

All Implemented Interfaces:
  javax.xml.xpath.XPathFunctionResolver

    public class JaxpFunctionResolver

extends java.lang.Object
implements javax.xml.xpath.XPathFunctionResolver

Nested Class Summary
`static class` | `JaxpFunctionResolver.CombineUrl` Takes the relative URL and combines it with the base URL to return a new absolute URL.
`static class` | `JaxpFunctionResolver.ComposeUrl`
`class` | `JaxpFunctionResolver.Delete`
`class` | `JaxpFunctionResolver.DomToString`
`class` | `JaxpFunctionResolver.DoXslTransform`
`class` | `JaxpFunctionResolver.GetLinkStatus`
`class` | `JaxpFunctionResolver.GetVariableData`
`class` | `JaxpFunctionResolver.GetVariableProperty`
`static class` | `JaxpFunctionResolver.Helper`
`class` | `JaxpFunctionResolver.InsertAfter`
`class` | `JaxpFunctionResolver.InsertAsFirstInto`
`class` | `JaxpFunctionResolver.InsertAsLastInto`
`class` | `JaxpFunctionResolver.InsertBefore`
`class` | `JaxpFunctionResolver.InsertInto`
`class` | `JaxpFunctionResolver.ProcessProperty`
`class` | `JaxpFunctionResolver.Rename`
`class` | `JaxpFunctionResolver.SplitToElements` Compile time checking for the non standard ode:splitToElements function.

Constructor Summary
`JaxpFunctionResolver(EvaluationContext ectx, OXPath20ExpressionBPEL20 oxpath)`

Method Summary
`javax.xml.xpath.XPathFunction` | `resolveFunction(javax.xml.namespace.QName functionName, int arity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxpFunctionResolver

    public JaxpFunctionResolver(EvaluationContext ectx,
                                OXPath20ExpressionBPEL20 oxpath)

Method Detail

### resolveFunction

    public javax.xml.xpath.XPathFunction resolveFunction(javax.xml.namespace.QName functionName,
                                                         int arity)

  Specified by:
    `resolveFunction` in interface `javax.xml.xpath.XPathFunctionResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD